Subject: BOF proposal announcement: Complexity of Implementing Differentiated Services

From: Jon Crowcroft <[email-masked]>
Date: Thu, 13 May 1999 15:59:26 +0200

Dear IETF, and esp. diff-serv folks,
we're requesting a schedule slot for the following Transport Area
BOF relating to the diff-serv WG, for the Oslo (45th IETF) meeting:

this is a call for input...although if we don't get enough interest,
or involvement, we will postpone.

I guess it has the natural short name CIDS
--------------------------------------------------->

Proposal for BOF 
on
Complexity of Implementing Differentiated Services (CIDS)

Motivation.

The IETF WG on Differentiated Services (diff-serv) has been meeting now for 
over a year now and has made excellent progress. The framework, architecture, 
DS Field definition, and format for traffic conditoners document, and most
importantly , two PHB definitions have been specified.

So what is the problem?

The Integrated Services WG (int-serv) (with its related groups such as 
ISSLL and RSVP and others), has also defined a set of protocols and 
mechanisms for enhanced services in the Internet. The difference between the 
int-serv and diff-serv approaches is that int-serv (at least the Guaranteed 
and Controlled Load services) is amenable to analysis. Effective bandwidth 
calcualations, and the thesis by Parekh shows how the admission tests for leaky
bucket characterised traffic and delay bound for the path can be
calculated. The difficulty with IS has been in designing
implementations that scale (hence a great deal of work in state
aggregation in RSVP, and in fast generalized port specification
classifiers, as well as  the work on efficient queue data structures
and insert/retrieve algorithms, such as WF2Q and approximations such
as SFQ). Indeed, there are network QoS calculi (by Rene Cruz and also
by Jean-Yves le Boudec).

Meanwhile, with diff-serv, the difference is that there can be no
obvious analytic theory of diff-serv. A path can be constructed out of
a sequence of hops each with a PHB and some associated SLA. However,
the service (and provisioning of service) necessarily depend on the
actual network topology and traffic conditions that prevail.

This is a positive aspect of diff-serv, since it gives providers (and
router vendors) a lot of design freedom in how they deploy actual
services (and associated tarrif structures).

However, to evaluate a diff-serv PHB is now a complex task, and
requires simulation or measurement. To date, only modest simulations
and measurements have been carried out.

[Aside: of course the exact same argument
applies to figuring out call blocking
probabilities in int-serv type networks]

Objectives.

To prepare a document that outlines evaluation framework for PHBs by
suggesting realistic topologies and traffic patterns for measurement
or simulation work. Note that there is a health warning associated
with simualtion - see reference [2] below.

Reading

1/ http://www.cs.columbia.edu/~hgs/internet/traffic.html

2/ Paxson, V., and Floyd, S., Why We Don't Know How To Simulate The
Internet, Proceedings of the 1997 Winter Simulation Conference,
December 1997. at
http://www.aciri.org/floyd/papers/wsc97.ps

very outline draft agenda

Draft agenda for CIDS BOF
 
Problem Statement (see the Document) - 15 mins
 
Potential Strawman Topologies - various - 30 mins
 
Potential Traffic Scenerios - various speakers 1 hour
 
Applicability Discussion - All 30 mins
 
Wrapup and Output Decisions -